Subject: RE: [Speermint] Reachability

From: "Khan, Sohel Q [CTO]" <[email-masked]>
Date: Tue, 4 Apr 2006 10:24:33 -0500

>1. A Public User Identity (i.e. a public AoR) is what the T-customers
perceives what it is, or what he has been sold.

>If I get an AoR with the remark I may put it on my business card (say
like an E.164 number or a e-mail address), as >3GPP is explaining it, I
assume the AoR to be "public".  

I agree. 
But, we have to ensure that private network topology can be hidden and
appropriate security mechansim is placed on the border.

-----Original Message-----
From: Stastny Richard [mailto:[email-masked]] 
Sent: Tuesday, April 04, 2006 2:56 AM
To: Hadriel Kaplan; Reinaldo Penno; [email-masked]
Subject: RE: [Speermint] Reachability

Hadrian added some more details to my previous question.

I would like to add more two issues:

1. A Public User Identity (i.e. a public AoR) is what the T-customers
perceives what it is, or what he has been sold.

If I get an AoR with the remark I may put it on my business card (say
like an E.164 number or a e-mail address), as 3GPP is explaining it, I
assume the AoR to be "public". You do not put your internal extension of
a PBX on your business without any further remark.

2.
> Actually, to be very specific ultimate target of the AoR can be "sip 
> reachable" but not IP reachable.  But I think for now we should ignore
the
> implications of that, unless it becomes a problem.

A typical example of this would be a (non-transparent) SBC with a B2BUA.
So we should ignore such beasts?

Fine with me ;-)

Richard

> -----Original Message-----
> From: Hadriel Kaplan [mailto:[email-masked]]
> Sent: Tuesday, April 04, 2006 8:01 AM
> To: 'Reinaldo Penno'; [email-masked]
> Subject: RE: [Speermint] Reachability
> 
> Hi Reinaldo,
> Comments inline...
> 
> > -----Original Message-----
> > From: Reinaldo Penno [mailto:[email-masked]]
> >
> > Maybe I'm missing something, but given that this workgroup is
interested
> > only in call routing (E.164 is out of scope), do we really need to
care
> > about that? An AoR in the end will be translated to an IP address,
and
> > IP addresses have a very good definition of public and private (in
IPv4
> > and IPv6).
> 
> I don't understand fully what you mean.  An AoR is only fully
"translated"
> to an IP Address (and really to a contact URI) by the AoR's domain.
So
> what
> you're saying is if the AoR's user-part represents a consumer behind a

> home NAT (a private IP), then it is a private AoR; but for those 
> consumers
who
> don't use home-NATs then it's a public AoR?  And if the AoR gets 
> translated into an IP by a registrar inside a private IP subnet, and 
> somehow it
later
> gets translated into the public IP address space, that's also private 
> because the AoR was translated to a private IP originally?
> 
> Or maybe you mean what the domain part of the AoR resolves to?
> 
> > For you to be "SIP reachable", you need to be IP reachable first,
let's
> > not forget about that. And if you are IP reachable, you could 
> > potentially be SIP reachable by registering to some free SIP service
(or
> > the SIP "domain" above you in the hierarchy...if this was the
email/DNS
> > model).
> 
> Actually, to be very specific ultimate target of the AoR can be "sip 
> reachable" but not IP reachable.  But I think for now we should ignore
the
> implications of that, unless it becomes a problem.
> 
> -hadriel
> 
> 
> _______________________________________________
> Speermint mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speermint

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint